%define upstream_name    Pod-Weaver-Section-GenerateSection
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add pod section from an interpolated piece of text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::AttributeShortcuts)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Pod::Weaver::Role::Section)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This plugin attempts to be a cross between the
Pod::Weaver::Section::Template manpage and the
Dist::Zilla::Plugin::GenerateFile manpage without the generation of extra
files.

The values of text are concatenated and variable names with matching values
on the distribution are interpolated. Specifying the heading level allows
to write down a rather long section of POD text without need for extra
files. For example:

  [GenerateSection / FEEDBACK]
  head = 1
  [GenerateSection / Reporting bugs]
  head = 2
  text = Please report bugs when you find them. While we do have a mailing
  text = list, please use the bug tracker at {{$bugtracker_web}}
  text = to report bugs
  [GenerateSection / Homegape]
  head = 2
  text = Also, come check out our other projects at
  text = {{$homepage}}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml META.json LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jan 15 2017 shlomif <shlomif> 1.20.0-1.mga6
+ Revision: 1081852
- New version 1.02

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-2.mga6
+ Revision: 1032360
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 1.10.0-1.mga6
+ Revision: 916521
- imported package perl-Pod-Weaver-Section-GenerateSection

